use std::{fmt::Display, write};

#[derive(Debug)]
pub(crate) enum Error {
    GandiTTLRange(u32),
}

impl std::error::Error for Error {}

impl Display for Error {
    fn fmt(&self, f: &mut std::fmt::Formatter<'_>) -> std::fmt::Result {
        match self {
            Error::GandiTTLRange(value) => write!(f, "TTL value is outside the permitted range (expected 300-2592000 inclusive, found {value})"),
        }
    }
}
